{% import 'shared/buttons.macros.html.twig' as buttons %}

<div class="col-4 mb-5 mt-5">
    <div class="card">
        <img src="/uploads/{{ advert.gallery.photos[0].url }}" class="card-img-top img-fluid" alt="...">

        <div class="card-body">
            <h3 class="card-title"><a href="{{ url('viewAdvert', {id: advert.id}) }}">{{ advert.title }}</a></h3>
            <small>by {{ advert.owner.pseudo }}</small>
            {{ advert.description | slice(0,50) }}...
            <p class="mt-2"> {{ buttons.default("Acheter ce vélo !") }}</p>

        </div>
        <div class="card-footer justify-content-between d-flex">
            <div class="col"><a href="{{ url('category', {name: advert.category.name}) }}">{{ advert.category.name }}</a></div>
            <div class="col text-end"> {{ advert.price | price}}</div>
        </div>
    </div>
</div>


